// $Id: PageFirst.java 13184 2011-05-23 14:58:59Z mike $

package org.faceless.pdf2.viewer2.feature;

import org.faceless.pdf2.viewer2.*;
import org.faceless.pdf2.PDF;
import javax.swing.*;

/**
 * Create a button to jump to the first page.
 *
 * <span class="featurename">The name of this feature is <span class="featureactualname">PageFirst</span></span>
 * <p><i>This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.</i></p>
 * @since 2.8
 */
public class PageFirst extends ViewerWidget implements DocumentPanelListener
{
    public PageFirst() {
        super("PageFirst");
        setButton("Navigation.ltr", "resources/icons/FirstPage.png", "PDFViewer.tt.PageFirst");
        setMenu("View\tGoTo\tFirstPage");
    }

    public void action(ViewerEvent event) {
        event.getDocumentPanel().setPageNumber(0);
    }

    public void initialize(PDFViewer viewer) {
        super.initialize(viewer);
        viewer.addDocumentPanelListener(this);
    }

    public void documentUpdated(DocumentPanelEvent event) {
        if (event.getType()=="pageChanged" || event.getType()=="activated") {
            boolean enabled = event.getDocumentPanel().getPDF()!=null && event.getDocumentPanel().getPageNumber()!=0;
            event.getDocumentPanel().getViewer().getNamedComponent("ButtonPageFirst").setEnabled(enabled);
            event.getDocumentPanel().getViewer().getNamedComponent("MenuPageFirst").setEnabled(enabled);
        }
    }
}
